# The naming scheme in non-Mandriva-based distros
%if 0%{!?mklibname:1}
%define mklibname(ds)  lib%{1}%{?2:%{2}}%{-s:-static}%{-d:-devel}
%endif
%if 0%{!?mkrel:1}
%define mkrel(c) %{1}%{?dist}
%endif

%define libname %mklibname %{name}
%define devname %mklibname %{name} -d

Name:           libsfdo
Version:        0.1.4
Release:        %mkrel 1
Summary:        A collection of libraries implementing freedesktop.org specifications

License:        BSD-2-Clause
URL:            https://gitlab.freedesktop.org/vyivel/libsfdo
Source:         %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildRequires:  meson
BuildRequires:  gcc

%description
%{summary}.

%package -n %{libname}
Summary:        Shared libraries for %{name}

%description -n %{libname}
%{summary}.

%package -n %{devname}
Summary:        Development libraries and header files for %{name}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n %{devname}
%{summary}.

%prep
%autosetup -n %{name}-v%{version}

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libsfdo-*.so.0

%files -n %{devname}
%{_includedir}/sfdo-*.h
%{_libdir}/libsfdo-*.so
%{_libdir}/pkgconfig/libsfdo-*.pc

%changelog
* Mon Jan 20 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Oct 26 2024 Steve Cossette <farchord@gmail.com> - 0.1.3-1
- 0.1.3
